Bug 229135 - www/firefox: Backport sndio volume handling fix
Summary: www/firefox: Backport sndio volume handling fix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gecko mailing list
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-06-19 05:55 UTC by Tobias Kortkamp
Modified: 2018-07-01 14:30 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (gecko)


Attachments
firefox-sndio.diff (4.85 KB, patch)
2018-06-19 05:55 UTC, Tobias Kortkamp
jbeich: maintainer-approval+
Details | Diff
waterfox-sndio.diff (2.88 KB, patch)
2018-06-30 13:50 UTC, Tobias Kortkamp
jbeich: maintainer-approval+
Details | Diff
thunderbird-sndio.diff (2.84 KB, patch)
2018-06-30 13:51 UTC, Tobias Kortkamp
jbeich: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2018-06-19 05:55:53 UTC
Created attachment 194384 [details]
firefox-sndio.diff

From https://bugzilla.mozilla.org/show_bug.cgi?id=1467882
Comment 1 Jan Beich freebsd_committer 2018-06-29 18:03:59 UTC
Comment on attachment 194384 [details]
firefox-sndio.diff

Does the issue affect www/seamonkey (2.49.3) or www/firefox-esr (52.9) on 2018Q2? Reading upstream bug I can't figure out which versions are affected. Ideally, the fix should be rebased for all USE_GECKO ports (including mail/thunderbird and www/waterfox).

Otherwise, looks OK for www/firefox and www/firefox-esr on /head (or 2018Q3).
Comment 2 commit-hook freebsd_committer 2018-06-30 13:01:47 UTC
A commit references this bug:

Author: tobik
Date: Sat Jun 30 13:00:51 UTC 2018
New revision: 473616
URL: https://svnweb.freebsd.org/changeset/ports/473616

Log:
  www/firefox: Backport sndio volume handling fix

  https://bugzilla.mozilla.org/show_bug.cgi?id=1467882

  PR:		229135
  Approved by:	gecko (jbeich)

Changes:
  head/www/firefox/Makefile
  head/www/firefox/files/patch-bug1467882
Comment 3 commit-hook freebsd_committer 2018-06-30 13:02:50 UTC
A commit references this bug:

Author: tobik
Date: Sat Jun 30 13:01:54 UTC 2018
New revision: 473617
URL: https://svnweb.freebsd.org/changeset/ports/473617

Log:
  www/firefox-esr: Backport sndio volume handling fix

  https://bugzilla.mozilla.org/show_bug.cgi?id=1467882

  PR:		229135
  Approved by:	gecko (jbeich)

Changes:
  head/www/firefox-esr/Makefile
  head/www/firefox-esr/files/patch-bug1467882
Comment 4 Tobias Kortkamp freebsd_committer 2018-06-30 13:49:37 UTC
(In reply to Jan Beich from comment #1)
> Otherwise, looks OK for www/firefox and www/firefox-esr on /head (or 2018Q3).

Thanks.

> Does the issue affect www/seamonkey (2.49.3) or www/firefox-esr (52.9) on 2018Q2? Reading upstream bug I can't figure out which versions are affected. Ideally, the fix should be rebased for all USE_GECKO ports (including mail/thunderbird and www/waterfox).

It should affect all Gecko ports.  All sndio cubeb backends that call
sio_setvol have this problem.

I'm going to upload some untested backports for Waterfox and Thunderbird.
The patch for Thunderbird should also apply fine to Seamonkey.
Comment 5 Tobias Kortkamp freebsd_committer 2018-06-30 13:50:35 UTC
Created attachment 194790 [details]
waterfox-sndio.diff
Comment 6 Tobias Kortkamp freebsd_committer 2018-06-30 13:51:17 UTC
Created attachment 194791 [details]
thunderbird-sndio.diff
Comment 7 Tobias Kortkamp freebsd_committer 2018-06-30 14:40:40 UTC
Comment on attachment 194790 [details]
waterfox-sndio.diff

Waterfox seems to behave fine with it.
Comment 8 Tobias Kortkamp freebsd_committer 2018-06-30 16:27:39 UTC
Comment on attachment 194791 [details]
thunderbird-sndio.diff

Smoke tested this against Seamonkey 2.49.3_8.  Seems fine.  Since its
cubeb_sndio.c is identical to the one in Thunderbird 52.8.0_7, I assume it's fine
in Thunderbird too.
Comment 9 Jan Beich freebsd_committer 2018-06-30 19:09:04 UTC
Comment on attachment 194790 [details]
waterfox-sndio.diff

Minor patch context adjustment. Looks OK.

> +--- media/libcubeb/src/cubeb_sndio.c.orig	2018-06-30 15:17:00.132114000 +0200

Prune bogus timestamp to avoid confusion. portlint wants "UTC" but we can ignore it since this is a backport.
Comment 10 Jan Beich freebsd_committer 2018-06-30 19:09:33 UTC
Comment on attachment 194791 [details]
thunderbird-sndio.diff

Rebased similar to www/palemoon version. Looks OK.
Comment 11 commit-hook freebsd_committer 2018-06-30 19:22:05 UTC
A commit references this bug:

Author: tobik
Date: Sat Jun 30 19:21:48 UTC 2018
New revision: 473629
URL: https://svnweb.freebsd.org/changeset/ports/473629

Log:
  www/waterfox: Backport sndio volume handling fix

  https://bugzilla.mozilla.org/show_bug.cgi?id=1467882

  PR:		229135
  Approved by:	jbeich (maintainer)

Changes:
  head/www/waterfox/Makefile
  head/www/waterfox/files/patch-bug1467882
Comment 12 commit-hook freebsd_committer 2018-06-30 19:25:10 UTC
A commit references this bug:

Author: tobik
Date: Sat Jun 30 19:24:21 UTC 2018
New revision: 473630
URL: https://svnweb.freebsd.org/changeset/ports/473630

Log:
  www/seamonkey: Backport sndio volume handling fix

  https://bugzilla.mozilla.org/show_bug.cgi?id=1467882

  PR:		229135
  Approved by:	gecko (jbeich)

Changes:
  head/www/seamonkey/Makefile
  head/www/seamonkey/files/patch-bug1467882
Comment 13 commit-hook freebsd_committer 2018-06-30 19:26:12 UTC
A commit references this bug:

Author: tobik
Date: Sat Jun 30 19:25:33 UTC 2018
New revision: 473631
URL: https://svnweb.freebsd.org/changeset/ports/473631

Log:
  mail/thunderbird: Backport sndio volume handling fix

  https://bugzilla.mozilla.org/show_bug.cgi?id=1467882

  PR:		229135
  Approved by:	gecko (jbeich)

Changes:
  head/mail/thunderbird/Makefile
  head/mail/thunderbird/files/patch-bug1467882